Subject: [Sip] Use of Require header field in connected-identity

From: "Elwell, John" <[email-masked]>
Date: Mon, 02 Oct 2006 20:39:27 +0100

During WGLC I received a comment from Paul that when sending a mid-dialog
request with a changed From header field URI, we should also include a
Require header field with option tag id-change. In theory it should not be
needed, because the peer UA will already have indicated id-change in the
Supported header field, so it is known to support the capability. Paul's
rationale was to include the Require header field in case something had gone
wrong.

I heard no other comment in favour of or against this. My opinion is that it
is unnecessary - if something of this nature has gone wrong, then it is hard
to be sure that simply including the Require header field will be sufficient
to avoid further problems. Furthermore, if we specify use of the Require
header field, it would mean we have to specify what to do if we get back a
420. So on balance I am against making this change.

Any other opinions?

John

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Dean Willis <[email-masked]>
Date: Wed, 4 Oct 2006 16:13:14 -0500

On Oct 2, 2006, at 2:39 PM, Elwell, John wrote:

> During WGLC I received a comment from Paul that when sending a mid- 
> dialog request with a changed From header field URI, we should also  
> include a Require header field with option tag id-change. In theory  
> it should not be needed, because the peer UA will already have  
> indicated id-change in the Supported header field, so it is known  
> to support the capability. Paul's rationale was to include the  
> Require header field in case something had gone wrong.
>
> I heard no other comment in favour of or against this. My opinion  
> is that it is unnecessary - if something of this nature has gone  
> wrong, then it is hard to be sure that simply including the Require  
> header field will be sufficient to avoid further problems.  
> Furthermore, if we specify use of the Require header field, it  
> would mean we have to specify what to do if we get back a 420. So  
> on balance I am against making this change.
>
> Any other opinions?
How about including in the draft a discussion of why the Require:  
usage isn't useful? ;-)

--
Dean